org.apache.sysds.runtime.instructions.spark.utils

## Class FrameRDDConverterUtils.LongFrameToLongWritableFrameFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.utils.FrameRDDConverterUtils.LongFrameToLongWritableFrameFunction

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,FrameBlock>,org.apache.hadoop.io.LongWritable,FrameBlock>

Enclosing class:
  FrameRDDConverterUtils

    public static class FrameRDDConverterUtils.LongFrameToLongWritableFrameFunction
    extends Object
    implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,FrameBlock>,org.apache.hadoop.io.LongWritable,FrameBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LongFrameToLongWritableFrameFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`scala.Tuple2<org.apache.hadoop.io.LongWritable,FrameBlock>` `call(scala.Tuple2<Long,FrameBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongFrameToLongWritableFrameFunction

    public LongFrameToLongWritableFrameFunction()

### Method Detail

#### call

    public scala.Tuple2<org.apache.hadoop.io.LongWritable,FrameBlock> call(scala.Tuple2<Long,FrameBlock> arg0)
                                                                    throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,FrameBlock>,org.apache.hadoop.io.LongWritable,FrameBlock>`
Throws:
  `Exception`